Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderManager

All Superinterfaces
  javax.ejb.EJBObject, Remote

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface OrderManager

extends javax.ejb.EJBObject

The OrderManagerBean is a session bean that isolates the JSP type calls from dealing directly with Order Entity Beans in a piece-meal fashion and improves performance by keeping the calls on the EJB sides.
Its main purpose is to create an Order and to retrieve OrderValue's using a variety of criteria, customerPK, a date range, a SKU, a Status.
The returned objects on those finder methods may be either straight collection with all the orderValue objects filled, or a more sophisticated ScrollableModel which caches the PK and a few orderValues only.
Finally, the OrderManagerBean deals with getting and setting an Order's status, and helps the JSP presentation by providing the only possible statuses an Order can move to.
stereotype SessionBean
homeInterface com.beasys.commerce.ebusiness.order.OrderManagerHome
remoteInterface com.beasys.commerce.ebusiness.order.OrderManager

See Also
  `OrderValue`, `StateMachine`, `ScrollableModel`

Method Summary
`javax.ejb.Handle` | `createOrder(OrderPk orderPK, OrderValue orderValue, Quote adjustments)` Deprecated See BEA Commerce product offering
`Collection` | `findByCustomer(CustomerPk customerPK)` Deprecated See BEA Commerce product offering
`ScrollableModel` | `findByCustomer(CustomerPk customerPK, int pageSize)` Deprecated See BEA Commerce product offering
`Collection` | `findByDates(Date startDate, Date endDate)` Deprecated See BEA Commerce product offering
`ScrollableModel` | `findByDates(Date startDate, Date endDate, int pageSize)` Deprecated See BEA Commerce product offering
`OrderValue` | `findByPK(OrderPk orderPK)` Deprecated See BEA Commerce product offering
`Collection` | `findBySKU(String SKU)` Deprecated See BEA Commerce product offering
`ScrollableModel` | `findBySKU(String sku, int pageSize)` Deprecated See BEA Commerce product offering
`Collection` | `findByStatus(String status)` Deprecated See BEA Commerce product offering
`ScrollableModel` | `findByStatus(String status, int pageSize)` Deprecated See BEA Commerce product offering
`String` | `getOrderStatus(OrderPk orderPK)` Deprecated See BEA Commerce product offering
`String[]` | `getValidNewStatuses(OrderPk orderPK)` Deprecated See BEA Commerce product offering
`void` | `queryOrderAdjusments(OrderPk orderPK, OrderValue orderValue)` Deprecated See BEA Commerce product offering
`void` | `setOrderStatus(OrderPk orderPK, String status)` Deprecated See BEA Commerce product offering
`void` | `updateOrderDiscounts(OrderPk orderPk, OrderValue orderValue, Quote adjustments)` Deprecated See BEA Commerce product offering

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### createOrder

    javax.ejb.Handle createOrder(OrderPk orderPK,
                                 OrderValue orderValue,
                                 Quote adjustments)
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Creates an order using a previously generated primary key and an order value via a Handle.

  Parameters
    `orderPK` -
    `orderValue,` - a value object from which to create an order entity
    `adjustments,` - the audit trail to persist with the order.
  Returns
    the handle over the order entity bean.
  Throws
    `RemoteException`

### findByPK

    OrderValue findByPK(OrderPk orderPK)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the order value associated with a particular primary key, a basic finder method.

  Parameters
    `orderPK,` - the primary key for an order entity bean.
  Returns
    the corresponding order value object.
  Throws
    `RemoteException`

### findByCustomer

    ScrollableModel findByCustomer(CustomerPk customerPK,
                                   int pageSize)
                                   throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a customer and returns a scrollable model

  Parameters
    `CustomerPk` -
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByCustomer

    Collection findByCustomer(CustomerPk customerPK)
                              throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a customer and returns a collection

  Parameters
    `CustomerPk` -
  Returns
    the Collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    ScrollableModel findByStatus(String status,
                                 int pageSize)
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a status and returns a scrollable model

  Parameters
    `status,` - e.g. "Authorized"
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByStatus

    Collection findByStatus(String status)
                            throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a status and returns a collection

  Parameters
    `status,` - e.g. "Authorized"
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findBySKU

    Collection findBySKU(String SKU)
                         throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a SKU and returns a collection

  Parameters
    `sku,` - e.g. "C94E97"
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### findBySKU

    ScrollableModel findBySKU(String sku,
                              int pageSize)
                              throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a SKU and returns a scrollable model

  Parameters
    `sku,` - e.g. "C94E97"
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByDates

    ScrollableModel findByDates(Date startDate,
                                Date endDate,
                                int pageSize)
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a date range and returns a scrollable model

  Parameters
    `startDate` - of the date range
    `endDate` - of the date range
    `pageSize,` - the size of a page of cached order values
  Returns
    the ScrollableModel that manages the corresponding Order values
  Throws
    `RemoteException`

### findByDates

    Collection findByDates(Date startDate,
                           Date endDate)
                           throws RemoteException

  Deprecated See BEA Commerce product offering

  Finds the overValues associated with a date range and returns a collection

  Parameters
    `startDate` - of the date range
    `endDate` - of the date range
  Returns
    the collection that manages the corresponding Order values
  Throws
    `RemoteException`

### getOrderStatus

    String getOrderStatus(OrderPk orderPK)
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets the status of an order based on its PK

  Parameters
    `orderPK` -
  Returns
    the status as a String
  Throws
    `RemoteException`

### setOrderStatus

    void setOrderStatus(OrderPk orderPK,
                        String status)
                        throws RemoteException

  Deprecated See BEA Commerce product offering

  Sets an order status

  Parameters
    `orderPK` -
    `status` -
  Throws
    `RemoteException`

### getValidNewStatuses

    String[] getValidNewStatuses(OrderPk orderPK)
                                 throws RemoteException

  Deprecated See BEA Commerce product offering

  Gets all the valid status an order can move to.

  Parameters
    `orderPK` -
  Returns
    a String array, one string per valid new status
  Throws
    `RemoteException`

### queryOrderAdjusments

    void queryOrderAdjusments(OrderPk orderPK,
                              OrderValue orderValue)
                              throws RemoteException

  Deprecated See BEA Commerce product offering

  this call fills an orderValue with the adjustments that are associated with it.

  Parameters
    `orderPk,` - the order primary key.
    `orderValue,` - the order value to fill with adjustments
  Throws
    `RemoteException`

### updateOrderDiscounts

    void updateOrderDiscounts(OrderPk orderPk,
                              OrderValue orderValue,
                              Quote adjustments)
                              throws RemoteException

  Deprecated See BEA Commerce product offering

  updates the discounts associated with an order

  Parameters
    `orderPk` - the order primary key.
    `orderValue` - the order value which contains the creation date and the orderline
    `adjustments` - a Quote object containing the adjustments
  Throws
    `RemoteException`
  Since:
    WLCS 3.5 sp3, added as a customer support case

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved